Last Comment Bug 463249 - Expose anti virus and scam preferences in the MailNews Preferences UI
: Expose anti virus and scam preferences in the MailNews Preferences UI
Status: RESOLVED FIXED
[l10n impact]
: fixed-seamonkey2.0
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.0
Assigned To: Philip Chee
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
: 513815 (view as bug list)
Depends on:
Blocks: 519228
  Show dependency treegraph
 
Reported: 2008-11-05 10:20 PST by Philip Chee
Modified: 2009-09-28 09:36 PDT (History)
11 users (show)
kairo: wanted‑seamonkey2.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 UI for Scam Mail and Mail AV Scan preferences. (9.57 KB, patch)
2009-09-24 02:39 PDT, Philip Chee
iann_bugzilla: review-
neil: ui‑review+
Details | Diff | Splinter Review
Screenshot: Groupbox with Intro (37.70 KB, image/png)
2009-09-25 04:02 PDT, Philip Chee
iann_bugzilla: review-
neil: ui‑review-
Details
Screenshot: Groupbox without Intro (34.83 KB, image/png)
2009-09-25 04:02 PDT, Philip Chee
iann_bugzilla: review+
neil: ui‑review+
Details
Patch v1.1 Fix Nits; all-in-one groupbox. (6.04 KB, patch)
2009-09-26 01:16 PDT, Philip Chee
iann_bugzilla: review+
neil: superreview+
Details | Diff | Splinter Review
Patch v1.2 sans tooltips [Checkin: Comment 25] (5.59 KB, patch)
2009-09-27 20:24 PDT, Philip Chee
philip.chee: review+
philip.chee: superreview+
Details | Diff | Splinter Review

Description Philip Chee 2008-11-05 10:20:23 PST
In Thunderbird 2.0 There is an item in their Options dialog Tools->Options->Privacy->Anti-Virus that controls this pref "mailnews.downloadToTempFile" i.e. "Allow anti-virus clients to quarantine individual incoming messages". We should expose this preference in our Preferences dialog.

This is assuming that /mailnews/local/src/nsPop3Sink.cpp is shared and that we build with this of course.
Comment 1 Justin Wood (:Callek) (Away until Aug 29) 2008-11-07 12:07:41 PST
I'd much rather they only Quarantine the attachments to messages; the messages themselves are unlikely to contain a virus.

But given [current] constraints of platform, I can see this is probably worth it.
Comment 2 Philip Chee 2009-02-06 08:49:52 PST
Karsten: where would be a good place in the Preferences window to put this UI?
Comment 3 Philip Chee 2009-02-07 02:31:09 PST
We don't seem to have UI for turning the (mail) pishing detector on and off either. Thunderbird puts these two items under the Privacy pane. Since these two are specific to mailnews I don't think it is appropriate to put this on our Privacy & Security branch.

So should we create a new pane under Mail & Newsgroups or what?
Comment 4 Jens Hatlak (:InvisibleSmiley) 2009-07-04 06:07:01 PDT
(In reply to comment #3)
> We don't seem to have UI for turning the (mail) pishing detector on and off
> either. Thunderbird puts these two items under the Privacy pane. Since these
> two are specific to mailnews I don't think it is appropriate to put this on our
> Privacy & Security branch.

Well, none of the existing panes there match and putting those on the P&S pane itself sounds like a bad idea, especially since the list of checkboxes on that pane looks like it could grow in the future or by extensions' additions. Thus the only real option there would be to add a new pane but in that case we could just as well put it under M&N.

> So should we create a new pane under Mail & Newsgroups or what?

Either that (none of the existing panes there match either) or add a groupbox on the main M&N pane. With a bit of luck after adding the two extra checkboxes the pane content would still fit. But if you ask me, yes, it'd be a new pane under M&N.

Oh, and referring to your news posting: Surely not Advanced (IMO of course). This is clearly MailNews.
Comment 5 Philip Chee 2009-09-24 02:39:26 PDT
Created attachment 402553 [details] [diff] [review]
Patch v1.0 UI for Scam Mail and Mail AV Scan preferences.

First draft.
Comment 6 neil@parkwaycc.co.uk 2009-09-24 04:16:13 PDT
Comment on attachment 402553 [details] [diff] [review]
Patch v1.0 UI for Scam Mail and Mail AV Scan preferences.

>     </groupbox>
>+    <groupbox>
Nit: blank lines please.
Comment 7 Ian Neal 2009-09-24 15:25:24 PDT
Comment on attachment 402553 [details] [diff] [review]
Patch v1.0 UI for Scam Mail and Mail AV Scan preferences.

>--- a/suite/locales/en-US/chrome/mailnews/pref/mailPrefsOverlay.dtd
>-<!ENTITY junk.label                       "Junk Mail">
>+<!ENTITY junk.label                       "Junk &amp; Scam Mail">
You've changed the label in the pref tree but not at the top of the pref pane (in pref-junk.dtd)
Perhaps "Junk &amp; Suspect Mail"?
Then a single groupbox "Suspect Mail" for both Scams and AV?

>--- a/suite/locales/en-US/chrome/mailnews/pref/pref-junk.dtd
>+<!-- Phishing Detector -->
>+<!ENTITY pref.phishing.caption            "E-mail Scams">
>+<!ENTITY phishingDetector.intro           "&brandShortName; can analyze messages for suspected email scams by looking for common techniques used to deceive you.">
I'm not sure we need this intro, better off in help.
>+<!ENTITY enablePhishingDetector.label     "Tell me if the message I'm reading is a suspected email scam">
>+<!ENTITY enablePhishingDetector.accesskey "T">

>--- a/suite/locales/en-US/chrome/mailnews/pref/pref-offline.dtd
>@@ -27,8 +27,14 @@
>+<!-- Anti Virus -->
>+<!ENTITY pref.antivirus.caption           "Anti-Virus">
>+<!ENTITY antiVirus.intro                  "&brandShortName; can make it easy for anti-virus software to analyze incoming mail messages for viruses before they are stored locally.">
"..can make it easier..."?
Saying that I'm not sure we need so much information in the pref pane, it should go in help.
>+<!ENTITY antiVirus.label                  "Allow anti-virus clients to quarantine individual incoming messages">
"Allow anti-virus clients more easily scan incoming messages" perhaps?
I think this pref might be better suited in "Junk & Suspect Mail" pref pane.

You will need to update help to reflect the finalised version.
Comment 8 neil@parkwaycc.co.uk 2009-09-24 16:00:28 PDT
(In reply to comment #7)
> Perhaps "Junk &amp; Suspect Mail"?
How about "Unwanted Mail"?

> I'm not sure we need this intro, better off in help.
We have intros in a few other panels which gives people a chance of understanding the checkbox label.
Comment 9 Philip Chee 2009-09-24 18:10:20 PDT
Just FYI, with the introductions I couldn't fit everything into the Junk prefpane. That's why I moved to AV pref to Network and Storage. Well actually I could just since I'm on WindowsXP; but I think Linux users won't. I'll come up with a version with both prefs in the Junk prefpane and someone with a Linux box can test it.
Comment 10 Philip Chee 2009-09-25 04:02:05 PDT
Created attachment 402811 [details]
Screenshot: Groupbox with Intro
Comment 11 Philip Chee 2009-09-25 04:02:51 PDT
Created attachment 402812 [details]
Screenshot: Groupbox without Intro
Comment 12 Philip Chee 2009-09-25 04:04:28 PDT
Before spending more time on this could I get some feedback on the preferred UI?
Comment 13 neil@parkwaycc.co.uk 2009-09-25 09:17:27 PDT
Comment on attachment 402811 [details]
Screenshot: Groupbox with Intro

I don't think two intros in one group box works well, even if we make space...
Comment 14 neil@parkwaycc.co.uk 2009-09-25 09:19:29 PDT
Comment on attachment 402812 [details]
Screenshot: Groupbox without Intro

This looks OK. Nit: we're not the Enterprise, so we want "to scan incoming messages more easily".
Comment 15 Ian Neal 2009-09-25 14:32:18 PDT
Comment on attachment 402812 [details]
Screenshot: Groupbox without Intro

These are the continuing adventures... ;)
Comment 16 Philip Chee 2009-09-26 01:16:17 PDT
Created attachment 403016 [details] [diff] [review]
Patch v1.1 Fix Nits; all-in-one groupbox.

> >     </groupbox>
> >+    <groupbox>
> Nit: blank lines please.
Fixed.

> You've changed the label in the pref tree but not at the top of the pref pane
> (in pref-junk.dtd)
> Perhaps "Junk &amp; Suspect Mail"?
Fixed.

> Then a single groupbox "Suspect Mail" for both Scams and AV?
Fixed.

> I'm not sure we need this intro, better off in help.
[...]
> Saying that I'm not sure we need so much information in the pref pane, it
> should go in help.

I've moved the intros into tooltips.

> >+<!ENTITY antiVirus.intro                  "&brandShortName; can make it easy for anti-virus software to analyze incoming mail messages for viruses before they are stored locally.">
> "..can make it easier..."?
Fixed.

> (Comment #8 From neil)
> 
> (In reply to comment #7)
> > I'm not sure we need this intro, better off in help.
> We have intros in a few other panels which gives people a chance of
> understanding the checkbox label.

I agree. New preferences, or newly exposed preferences, should have additional descriptions for better understandability.

> (Comment #14 From  neil)
> This looks OK. Nit: we're not the Enterprise, so we want "to scan incoming
> messages more easily".
> 
> (Comment #15 From Ian Neal)
> These are the continuing adventures... ;)
Made it so!
Comment 17 Ian Neal 2009-09-26 08:17:24 PDT
So all that is missing now are the changes to help...
Comment 18 Philip Chee 2009-09-26 09:01:51 PDT
> So all that is missing now are the changes to help...
The tooltips aren't enough? I'll file a followup bug.
Comment 19 Ian Neal 2009-09-26 14:07:03 PDT
Comment on attachment 403016 [details] [diff] [review]
Patch v1.1 Fix Nits; all-in-one groupbox.

Yes, help will need patching too for definite.
Comment 20 Stefan [:stefanh] 2009-09-26 17:53:23 PDT
(In reply to comment #18)
> > So all that is missing now are the changes to help...
> The tooltips aren't enough? I'll file a followup bug.

When you file that bug, please make it block bug 423281.
Comment 21 Jens Hatlak (:InvisibleSmiley) 2009-09-27 07:52:26 PDT
Philip, can you verify that this bug covers bug 502363 and bug 513815 and resolve them as duplicates of this one if that's the case please?
Comment 22 neil@parkwaycc.co.uk 2009-09-27 14:16:15 PDT
Comment on attachment 403016 [details] [diff] [review]
Patch v1.1 Fix Nits; all-in-one groupbox.

Sorry, but I don't like the idea of tooltiptext. sr=me with it removed.
Comment 23 Philip Chee 2009-09-27 20:24:45 PDT
Created attachment 403171 [details] [diff] [review]
Patch v1.2 sans tooltips
[Checkin: Comment 25]

Carrying forward r=iann_bugzilla sr=neil

> Sorry, but I don't like the idea of tooltiptext. sr=me with it removed.
Gone!
Comment 24 Philip Chee 2009-09-27 20:34:03 PDT
*** Bug 513815 has been marked as a duplicate of this bug. ***
Comment 25 Serge Gautherie (:sgautherie) 2009-09-28 08:13:40 PDT
Comment on attachment 403171 [details] [diff] [review]
Patch v1.2 sans tooltips
[Checkin: Comment 25]


http://hg.mozilla.org/comm-central/rev/f359f8092a4e

Note You need to log in before you can comment on or make changes to this bug.